/*
 * Copyright (c) 2011 by Intevation GmbH
 *
 * This program is free software under the LGPL (>=v2.1)
 * Read the file LGPL.txt coming with the software for details
 * or visit http://www.gnu.org/licenses/ if it does not exist.
 */
package de.intevation.artifactdatabase;

import org.apache.log4j.Logger;

import de.intevation.artifacts.ArtifactCollection;
import de.intevation.artifacts.CallMeta;


/**
 * Class that implements the call context handed to ArtifactCollection specific
 * operations.
 *
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class CollectionCallContext extends AbstractCallContext {

    private static Logger log = Logger.getLogger(CollectionCallContext.class);

    /**
     * The ArtifactCollection.
     */
    protected ArtifactCollection collection;


    public CollectionCallContext(
        ArtifactDatabaseImpl artifactDatabase,
        int                  action,
        CallMeta             callMeta,
        Object               context,
        ArtifactCollection   collection)
    {
        super(artifactDatabase, action, callMeta, context);

        this.collection = collection;
    }


    public void afterCall(int action) {
        log.debug("CollectionCallContext.afterCall - NOT IMPLEMENTED");
    }


    public void afterBackground(int action) {
        log.debug("CollectionCallContext.afterBackground - NOT IMPLEMENTED");
    }


    public Long getTimeToLive() {
        log.debug("CollectionCallContext.getTimeToLive - NOT IMPLEMENTED");
        return null;
    }


    public void postCall() {
        log.debug("CollectionCallContext.postCall - NOT IMPLEMENTED");
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
